You are Here:
Linux Lite 5.0 Final is now available for download and installation



HP SmartTouch for Linux Lite 5

Author (Read 632 times)

0 Members and 1 Guest are viewing this topic.

HP SmartTouch for Linux Lite 5
« on: July 07, 2020, 12:09:25 AM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
Hello Guys.

I am currently upgrading my sister's laptop which was previously installed with Linux Lite 4.X series (based on 16.4 LTS Ubuntu). This laptop - HP SmartTouch - was previously installed with Windows 8 but due to some keyboard problems, and other unknown problems, the touchscreen failed to work when upgraded to Windows 8.1. The keyboard problems remained so I decided to install Linux Lite. Keyboard problem solved but touchscreen still failed.

Can we expect the same with Linux Lite 5? That the touchscreen will not work? I'm not expecting anything but if it works, then great. And if not, I hope that my installation will just run smoothly. 

 
 


Re: HP SmartTouch for Linux Lite 5
« Reply #1 on: July 07, 2020, 01:04:40 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7695
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Try the 5 live image.

Sent from my mobile phone using Tapatalk

 

Re: HP SmartTouch for Linux Lite 5
« Reply #2 on: July 07, 2020, 02:56:53 AM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
Try the 5 live image.

Sent from my mobile phone using Tapatalk

Thanks Jerry. I'm struggling to install LL5 due to grub2 error message. I already disabled EUFI Boot and made manual partitions. Last attempt.  :)
 

Re: HP SmartTouch for Linux Lite 5
« Reply #3 on: July 08, 2020, 06:29:58 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7695
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Leave UEFI enabled, just disable Secure Boot. Then let the installer auto partition, that would be the easiest overall approach.

Sent from my mobile phone using Tapatalk

 

Re: HP SmartTouch for Linux Lite 5
« Reply #4 on: July 08, 2020, 10:20:05 PM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
Leave UEFI enabled, just disable Secure Boot. Then let the installer auto partition, that would be the easiest overall approach.

Sent from my mobile phone using Tapatalk

I did but still kept on getting the message "grub-efi-amd64-signed package failed to install". I still clicked on 'Continue Testing' and enter these codes to the Terminal as advised, and to remedy the situation while still on the Live Mode. The installation went okay after reboot. My touchscreen is still not working but not a major setback for me though.

Code: [Select]
sudo mount /dev/sda2 /mnt
sudo mkdir /mnt/boot/efi
sudo mount /dev/sda1 /mnt/boot/efi
for i in /dev /dev/pts /proc /sys; do sudo mount -B $i /mnt$i; done

sudo apt-get install --reinstall grub-efi-amd64-signed
sudo grub-install --no-nvram --root-directory=/mnt
 

Re: HP SmartTouch for Linux Lite 5
« Reply #5 on: July 08, 2020, 10:32:12 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7695
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x

My touchscreen is still not working but not a major setback for me though.


Have you tried the latest Kernel?
What is the exact model number?
 

Re: HP SmartTouch for Linux Lite 5
« Reply #6 on: July 08, 2020, 10:55:31 PM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x

My touchscreen is still not working but not a major setback for me though.


Have you tried the latest Kernel?
What is the exact model number?

HP Pavilion TouchSmart 14-N039TU
 

Re: HP SmartTouch for Linux Lite 5
« Reply #7 on: July 09, 2020, 12:45:09 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7695
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Was waiting to see if you were going to respond regarding kernel.

Sent from my mobile phone using Tapatalk

 

Re: HP SmartTouch for Linux Lite 5
« Reply #8 on: July 09, 2020, 10:35:07 PM »
 

winxpto10

  • Forum Regular
  • ***
  • 111
    Posts
  • Country: us
  • Reputation: 1
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: Intel(R) Core(TM) i5-4590 @ 3.30GHz

  • MEMORY: 8Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
i have no problems installing Linux Lite 5.0 with secure boot enabled
 

Re: HP SmartTouch for Linux Lite 5
« Reply #9 on: July 10, 2020, 12:10:47 AM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
Was waiting to see if you were going to respond regarding kernel.

Sent from my mobile phone using Tapatalk

Kernel: 5.4.0-33
 

Re: HP SmartTouch for Linux Lite 5
« Reply #10 on: July 10, 2020, 12:35:02 AM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
i have no problems installing Linux Lite 5.0 with secure boot enabled

Good for you! This HP TouchSmart laptop was giving me a headache ever since the keyboard problem started, and then later, the touchscreen. It was always the GRUB and UEFI problems. I'm not a big fan of touchscreen so not a major issue for me but my sister was complaining about it. Lol.

Anyways, I didn't have a problem installing Lubuntu at first. I just didn't like the DE and the overall look so it did not last long. Xubuntu also didn't go very well during installation. I just like Linux Lite a lot and have installed about 5 PCs (both 32-bit and 64-bit) before gifting them.
 

Re: HP SmartTouch for Linux Lite 5
« Reply #11 on: July 10, 2020, 02:45:34 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7695
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x

Have you tried the latest Kernel?

 

Re: HP SmartTouch for Linux Lite 5
« Reply #12 on: July 10, 2020, 07:27:45 AM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x

Have you tried the latest Kernel?


Nope. Not yet.  Maybe a few months from now, I will re-install LL with the latest kernel. I can't get hold of the laptop right now. I guess my sister and her husband is quite content with the current version. Thanks.   ;)
 


 


Linux Lite 5.0 Final is now available for download and installation